# Visualization
TKService
Xw

# Xw_WidthMap Class Reference

This class defines a WidthMap object.
.

`#include <Xw_WidthMap.hxx>`

## Public Member Functions

Standard_EXPORT | Xw_WidthMap (const Standard_CString Connexion)
| Creates a WidthMap with unallocated WidthMapEntry. Warning: Raises if WidthMap creation failed according to the supported hardware .
virtual Standard_EXPORT void | SetEntry (const Aspect_WidthMapEntry &Entry)
| Modifies an entry already defined or Add the Entry in the type map <me> if it don't exist. Warning: Raises if WidthMap size is exceeded, or WidthMap is not defined properly, or WidthMapEntry Index is out of range according to the supported hardware .
virtual Standard_EXPORT void | SetEntries (const Handle(Aspect_WidthMap)&Widthmap)
| Modifies all entries from the New Widthmap Warning: Raises if WidthMap size is exceeded, or WidthMap is not defined properly, or One of new WidthMapEntry Index is out of range according to the supported hardware .
virtual Standard_EXPORT void | Destroy ()
| Destroies the Widthmap .
| ~Xw_WidthMap ()
Standard_EXPORT Standard_Integer | FreeWidths () const
| Returns the Number of Free Widths in the Widthmap depending of the HardWare Warning: Raises if WidthMap is not defined properly .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Xw_WidthMap ()
Standard_EXPORT Standard_Address | ExtendedWidthMap () const
| Returns extended data typemap structure pointer. .

## Private Attributes

Standard_Address | MyExtendedDisplay
Standard_Address | MyExtendedWidthMap

## Constructor & Destructor Documentation

Standard_EXPORT Xw_WidthMap::Xw_WidthMap | ( | const Standard_CString | Connexion | ) |

Xw_WidthMap::~Xw_WidthMap | ( |  | ) | `[inline]`

Standard_EXPORT Xw_WidthMap::Xw_WidthMap | ( |  | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void Xw_WidthMap::Destroy | ( |  | ) | `[virtual]`

Standard_EXPORT Standard_Address Xw_WidthMap::ExtendedWidthMap | ( |  | ) | const`[protected]`

Standard_EXPORT Standard_Integer Xw_WidthMap::FreeWidths | ( |  | ) | const

Standard_EXPORT const Xw_WidthMap::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void Xw_WidthMap::SetEntries | ( | const Handle(Aspect_WidthMap)& | Widthmap | ) | `[virtual]`

virtual Standard_EXPORT void Xw_WidthMap::SetEntry | ( | const Aspect_WidthMapEntry & | Entry | ) | `[virtual]`

## Field Documentation

Standard_Address Xw_WidthMap::MyExtendedDisplay `[private]`

Standard_Address Xw_WidthMap::MyExtendedWidthMap `[private]`

The documentation for this class was generated from the following file:

- Xw_WidthMap.hxx